# $Revision: 1.18 $, $Date: 2007-08-06 10:14:27 $
Summary:	Cross platform implementation of Zeroconf
Summary(pl.UTF-8):	Międzyplatformowa implementacja Zeroconf
Name:		howl
Version:	1.0.0
Release:	6
License:	APSL / Other (see COPYING)
Group:		Libraries
Source0:	http://www.porchdogsoft.com/download/%{name}-%{version}.tar.gz
# Source0-md5:	c389d3ffba0e69a179de2ec650f1fdcc
Source1:	mDNSResponder-%{name}.init
Source2:	nifd.init
Source3:	mDNSResponder.conf
Patch0:		%{name}-libdir.patch
Patch1:		%{name}-pkgconfig.patch
Patch2:		%{name}-am.patch
Patch3:		%{name}-alpha.patch
Patch4:		%{name}-link.patch
URL:		http://www.porchdogsoft.com/products/howl/
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
BuildRequires:	libtool
Requires(post,preun):	/sbin/chkconfig
Requires:	rc-scripts
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Howl is a cross-platform implementation of Zeroconf networking.
Zeroconf brings a new ease of use to IP networking.

%description -l pl.UTF-8
Howl jest międzyplatformową implementacją Zeroconf. Zeroconf przynosi
nową łatwość przy pracy w sieci IP.

%package libs
Summary:	Howl libraries
Summary(pl.UTF-8):	Biblioteki howl
Group:		Libraries
Provides:	mdns-howl-libs

%description libs
Howl libraries.

%description libs -l pl.UTF-8
Biblioteki howl.

%package devel
Summary:	Header files for howl library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki howl
Group:		Development/Libraries
Requires:	%{name}-libs = %{version}-%{release}
Provides:	mdns-howl-devel

%description devel
Header files for howl library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki howl.

%package static
Summary:	Static howl library
Summary(pl.UTF-8):	Statyczna biblioteka howl
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Provides:	mdns-howl-static

%description static
Static howl library.

%description static -l pl.UTF-8
Statyczna biblioteka howl.

%prep
%setup -q
%patch0 -p0
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sysconfdir}/%{name},/etc/rc.d/init.d}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/mDNSResponder
install %{SOURCE2} $RPM_BUILD_ROOT/etc/rc.d/init.d/nifd
install %{SOURCE3} $RPM_BUILD_ROOT%{_sysconfdir}/%{name}/mDNSResponder.conf

# fix up header file directory naming bug
mv $RPM_BUILD_ROOT%{_includedir}/%{name} $RPM_BUILD_ROOT%{_includedir}/%{name}-%{version}

# remove the samples
rm -f $RPM_BUILD_ROOT%{_bindir}/mDNSBrowse
rm -f $RPM_BUILD_ROOT%{_bindir}/mDNSPublish
rm -f $RPM_BUILD_ROOT%{_bindir}/mDNSQuery
rm -f $RPM_BUILD_ROOT%{_bindir}/mDNSResolve

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add mDNSResponder
if [ -f /var/lock/subsys/mDNSResponder ]; then
	/etc/rc.d/init.d/mDNSResponder restart >&2
else
	echo "Run \"/etc/rc.d/init.d/mDNSResponder start\" to start mDNSResponder."
fi

/sbin/chkconfig --add nifd
if [ -f /var/lock/subsys/nifd ]; then
	/etc/rc.d/init.d/nifd restart >&2
else
	echo "Run \"/etc/rc.d/init.d/nifd start\" to start nifd."
fi

%preun
if [ "$1" = "0" ]; then
	if [ -f /var/lock/subsys/mDNSResponder ]; then
		/etc/rc.d/init.d/mDNSResponder stop >&2
	fi
	/sbin/chkconfig --del mDNSResponder

	if [ -f /var/lock/subsys/nifd ]; then
		/etc/rc.d/init.d/nifd stop >&2
	fi
	/sbin/chkconfig --del nifd
fi

%post	libs -p /sbin/ldconfig
%postun	libs -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog COPYING NEWS README TODO
%attr(755,root,root) %{_bindir}/*
%attr(754,root,root) /etc/rc.d/init.d/*
%dir %{_sysconfdir}/%{name}
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/%{name}/mDNSResponder.conf
%{_datadir}/%{name}
%{_mandir}/man8/*.8*

%files libs
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so.*.*.*

%files devel
%defattr(644,root,root,755)
%doc docs/*.html
%attr(755,root,root) %{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_includedir}/%{name}-%{version}
%{_pkgconfigdir}/*.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: howl.spec,v $
Revision 1.18  2007-08-06 10:14:27  patrys
- avahi is preferred for th, don't obsolete it

Revision 1.17  2007/02/13 07:47:11  glen
- tabs in preamble

Revision 1.16  2007/02/12 00:48:56  baggins
- converted to UTF-8

Revision 1.15  2006/05/21 12:30:07  shadzik
- typo

Revision 1.14  2006/05/20 19:50:35  shadzik
- rel 5 to rebuild with new init script

Revision 1.13  2006/03/12 11:07:50  qboosh
- added link patch, R: rc-scripts, release 4

Revision 1.12  2006/02/16 11:27:07  freetz
- added provides/obsoletes for mdns-howl/avahi, rel.3

Revision 1.11  2005/11/28 22:24:19  freetz
- added COPYING to legally distribute this package, fixed license
  (Apple Public Source License)

Revision 1.10  2005/05/24 10:27:59  qboosh
- one more fix in alpha patch, builds now
- release 2

Revision 1.9  2005/05/23 22:24:40  freetz
- rel 1.1 test build on alpha

Revision 1.8  2005/05/23 22:20:58  freetz
- fix alpha build (patch added)

Revision 1.7  2005/05/20 05:44:43  aredridel
- up to 1.0.0

Revision 1.6  2005/05/10 23:50:52  pluto
- releae 2 for Th.

Revision 1.5  2005/03/24 21:41:37  qboosh
- removed obsolete types patch

Revision 1.4  2005/03/20 16:10:57  aflinta
- up to version 0.9.10

Revision 1.3  2004/09/16 10:38:29  qboosh
- added types patch, release 2

Revision 1.2  2004/08/22 11:54:10  grzegol
- updated to 0.9.6
- added sample config file (Source3)
- removed outdated patches
- added am patch (fix Makefile.am)

Revision 1.1  2004/07/04 15:41:40  grzegol
- new
